﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order
{
    public record ComplementOrderRequestDto : PagedKeywordRequest
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 当前节点
        /// </summary>
        public string? CurrentStepName { get; set; }

        /// <summary>
        /// 补充人员
        /// </summary>
        public string? SupplyName { get; set; }
    }
    public record ComplementOrderCopyRequestDto : ComplementOrderRequestDto
    {
        /// <summary>
        /// 操作类型（0：修改，1：删除）
        /// </summary>
        public string? OperationType { get; set; }
    }
}
