﻿using MediatR;

namespace Hotline.BatchTask.Notifications;

public class ApptaskFailNotify : ApptaskExecutedNotify, INotification
{
    public ApptaskFailNotify(ApptaskItem apptaskItem) : base(apptaskItem)
    {
    }
}

public class ApptaskExecutedNotify
{
    public ApptaskItem ApptaskItem { get; set; }

    public ApptaskExecutedNotify(ApptaskItem apptaskItem)
    {
        ApptaskItem = apptaskItem;
    }
}